#include<bits/stdc++.h>
using namespace std;

int a[200000];
double p[200000];
double s[200000];
int main(){
	int n;
	double max=-1;
	cin>>n;
	for(int i=0 ; i<n ; i++){
		cin>>a[i]>>p[i];
		s[i]=0;
	}
	
	for(int i=0 ; i<n ; i++){
		for(int j=0 ; j<n ; j++){
			if(p[i]<=p[j])s[i]+=p[i]*a[j]/100;
		}
		if(s[i]>max)max=s[i];
	}
	cout<<fixed<<setprecision(3)<<max;
}